serialFlush
Prev | Orchestra Opcodes and Operators | Next

## serialFlush

serialFlush — Flush data from a serial port.

## Description

Flush to the screen any bytes (up to 32k) in the input buffer. Note that these bytes will be cleared from the buffer. use this opcode mainly for debugging messages. If you want to mix debugging and other communication messages over the same port, you will need to manually parse the data with the serialRead opcode.

## Syntax

     serialFlush iPort

## Performance

iPort -- port number optained from a serialBegin opcode.

## See Also

serialBegin, serialEnd, serialWrite_i, serialWrite, serialRead, serialPrint.

## Credits

Author: Matt Ingalls
2011

New in version 5.14

Prev | Up | Next
serialEnd | Home | serialPrint